﻿using System;
using System.Windows.Forms;

namespace MEF_Old20Approach
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        DisplayData data;

        private void Form1_Load(object sender, EventArgs e)
        {
            GeneratorManager manager = new GeneratorManager();
            GeneratorSelector selector = new GeneratorSelector(manager);
            selector.GeneratorChanged += selector_GeneratorChanged;
            topPanel.Controls.Add(selector);

            data = new DisplayData(manager);
            dataPanel.Controls.Add(data);
        }

        void selector_GeneratorChanged(object source, IGenerator generator)
        {
            data.Display(generator);
        }
    }
}