﻿using System;
using System.ComponentModel.Composition;

namespace MefEnabled
{
    public interface ILogger
    {
        void Write(string message);
    }

    [Export(typeof(ILogger))]
    public class Logger : ILogger
    {
        public void Write(string message)
        {
            Console.WriteLine(message);
        }
    }
}
