﻿using System;
using System.ComponentModel.Composition;
using System.Windows.Forms;

namespace MefEnabled
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            MyProgram program = new MyProgram();
            program.Run();
        }
    }

    class MyProgram : Extender
    {
        [Import("MainWindow")]
        public Form MainForm { get; set; }
        public void Run()
        {
            Compose();
            Application.Run(MainForm);            
        }
    }
}
