﻿using System;
using System.Windows.Forms;

namespace MEF_Old20Approach
{
    public partial class DisplayData : UserControl
    {
        public GeneratorManager Manager { get; set; }

        public DisplayData(GeneratorManager manager)
        {
            InitializeComponent();
            Manager = manager;
        }

        public void Display(IGenerator generator)
        {
            data.Text = "";

            generatorName.Text = string.Format("Data produced from {0}", Manager.GetName(generator.GetType()));

            foreach (var o in generator.Get())
            {
                data.Text += o + Environment.NewLine;
            }
        }
    }
}
